## xournalpp 1.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)
cmake_policy(VERSION ${CMAKE_VERSION})
## The CMAKE_OSX_DEPLOYMENT_TARGET must be set before project(), so don't move the following line further down.
set(CMAKE_OSX_DEPLOYMENT_TARGET "10.15" CACHE STRING "Minimum OS X deployment version" FORCE)

## Project related Variables
## Also update changelog in debian folder!
project(xournalpp
        VERSION 1.2.1
        DESCRIPTION "Xournal++ - Open source hand note-taking program"
        HOMEPAGE_URL "https://xournalpp.github.io/"
        LANGUAGES CXX C)
# according to https://cmake.org/cmake/help/latest/command/project.html we must fix the suffix:
# And https://gitlab.kitware.com/cmake/cmake/-/issues/16716 is still open:
set(VERSION_SUFFIX "")
set(PROJECT_VERSION "${PROJECT_VERSION}${VERSION_SUFFIX}")
set(xournalpp_VERSION ${PROJECT_VERSION})
set(CMAKE_PROJECT_VERSION ${PROJECT_VERSION})
set(PROJECT_CONTACT "core.xournalpp@github.com")

## CMAKE_Variables
set(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake/find" "${PROJECT_SOURCE_DIR}/cmake/include")
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON) # enable clang tidy to use correct includes
set_directory_properties(PROPERTIES EP_BASE "${PROJECT_BINARY_DIR}/external")

add_definitions(-D_USE_MATH_DEFINES)
add_definitions(-DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED)

include(CheckCXXCompilerFlag)
if (CMAKE_GENERATOR STREQUAL "Ninja")
    CHECK_CXX_COMPILER_FLAG("-fcolor-diagnostics" CLANG_HAS_COLOR)
    CHECK_CXX_COMPILER_FLAG("-fdiagnostics-color=always" GNU_HAS_COLOR)
    if(CLANG_HAS_COLOR)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fcolor-diagnostics")
    elseif(GNU_HAS_COLOR)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fdiagnostics-color=always")
    endif()
endif()

# package version
include(Version)
core_find_git_rev(RELEASE_IDENTIFIER)
string(TIMESTAMP PACKAGE_TIMESTAMP "%Y%m%d.%H%M" UTC)

include(TargetArch)
target_architecture(PACKAGE_ARCH)

configure_file(cmake/VERSION.in VERSION)

configure_file(
        cmake/postinst.in
        cmake/postinst
        @ONLY
)

include(FindPkgConfig)

set(PACKAGE_DATA_DIR "${CMAKE_INSTALL_PREFIX}/share")

# Git repo info
include(GitRepo)

################################
# CMake os-fixups
# this section should decrease in size for newer CMake versions.
################################

## Libraries ##
##############################
# c++17 support
##############################
find_package(CXX17 REQUIRED COMPONENTS optional)
find_package(Filesystem REQUIRED COMPONENTS ghc Final Experimental)

find_package(Backtrace)
if (Backtrace_FOUND)
    ##############################
    # stacktrace library
    # Todo use platform independent stacktrace library
    # Currently this works only for linux systems
    ##############################
    add_library(backtrace INTERFACE)
    target_include_directories(backtrace INTERFACE ${Backtrace_INCLUDE_DIRS})
    target_link_libraries(backtrace INTERFACE ${Backtrace_LIBRARIES})
    target_link_options(backtrace INTERFACE $<$<AND:$<NOT:$<PLATFORM_ID:Windows>>,$<OR:$<CXX_COMPILER_ID:Clang>,$<CXX_COMPILER_ID:GNU>>>:-rdynamic>)
    add_library(Backtrace::backtrace ALIAS backtrace)
endif (Backtrace_FOUND)


##############################
# other externals
##############################

set(pkg-module-spec "")
list(APPEND pkg-module-spec "glib-2.0 >= 2.32.0")
list(APPEND pkg-module-spec "gtk+-3.0 >= 3.18.9")
list(APPEND pkg-module-spec "poppler-glib >= 0.41.0")
list(APPEND pkg-module-spec "gthread-2.0 >= 2.4.0")
list(APPEND pkg-module-spec "libxml-2.0 >= 2.0.0")
list(APPEND pkg-module-spec "libzip >= 1.0.1")
list(APPEND pkg-module-spec "portaudiocpp >= 12")
list(APPEND pkg-module-spec "sndfile >= 1.0.25")
list(APPEND pkg-module-spec "librsvg-2.0 >= 2.40")

pkg_check_modules(GtkSourceView IMPORTED_TARGET "gtksourceview-4 >= 4.0.0")

# Profiling
option (ENABLE_PROFILING "Link with gperftools" OFF)
if (ENABLE_PROFILING)
  list(APPEND pkg-module-spec "libprofiler >= 2.5")
  list(APPEND pkg-module-spec "libtcmalloc >= 2.5")
endif (ENABLE_PROFILING)

pkg_check_modules(ExternalModules REQUIRED IMPORTED_TARGET ${pkg-module-spec})

if (#[[${CMAKE_VERSION} VERSION_LESS "3.18" AND]] ${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    # bugfix for old pkg_config versions
    get_target_property(libs PkgConfig::ExternalModules INTERFACE_LINK_LIBRARIES)
    # message(STATUS "PkgConfig::ExternalModules::INTERFACE_LINK_LIBRARIES: ${libs}")
    string(REPLACE "-framework;" "-framework " libs "${libs}")
    # message(STATUS "PkgConfig::ExternalModules::INTERFACE_LINK_LIBRARIES fixed: ${libs}")
    set_target_properties(PkgConfig::ExternalModules PROPERTIES INTERFACE_LINK_LIBRARIES "${libs}")


    if (${CMAKE_VERSION} VERSION_GREATER_EQUAL "3.13")
        # fix broken framework flags from pkgconfig
        get_target_property(opts PkgConfig::ExternalModules INTERFACE_LINK_OPTIONS)
        string(REPLACE "-framework;" "SHELL:-framework " opts "${opts}")
        set_target_properties(PkgConfig::ExternalModules PROPERTIES INTERFACE_LINK_OPTIONS "${opts}")
    endif ()
endif ()

find_package(ZLIB REQUIRED)
find_package(Threads REQUIRED)

option(ENABLE_PLUGINS "Compile with plugin support" ON)
find_package(Lua) # Lua 5.4 is only supported with cmake >=3.18
message(STATUS "Found Lua: ${Lua_FOUND}")
if (Lua_FOUND AND ENABLE_PLUGINS)
    # currently not fully supported by cmake
    message(STATUS "Enable Xournal++ Plugins")
    add_library(lua INTERFACE)
    target_link_libraries(lua INTERFACE ${LUA_LIBRARIES})
    target_include_directories(lua INTERFACE ${LUA_INCLUDE_DIR})
    add_library(Lua::lua ALIAS lua)
else ()
    message(STATUS "Disable Xournal++ Plugins")
    set(ENABLE_PLUGINS OFF)
endif ()

if (GtkSourceView_FOUND)
    message("Enable GtkSourceView TeX syntax highlighting")
    add_compile_definitions(USE_GTK_SOURCEVIEW)
endif ()

# X11 link settings

# Note: CMAKE_REQUIRED_FIND_PACKAGE is only supported by CMake >= 3.22
option(CMAKE_REQUIRED_FIND_PACKAGE_X11 "Force linking with X11" OFF)
# Disable X11 on Windows/MacOS by default
if (NOT CMAKE_REQUIRED_FIND_PACKAGE_X11 AND (CMAKE_SYSTEM_NAME MATCHES "Windows|Darwin"))
    set(_DISABLE_X11_default ON)
else()
    set(_DISABLE_X11_default OFF)
endif()
option(CMAKE_DISABLE_FIND_PACKAGE_X11 "Disable linking with X11" ${_DISABLE_X11_default})
unset(_DISABLE_X11_default)

# To configure X11 linking, set the following definitions:
#   CMAKE_DISABLE_FIND_PACKAGE_X11 - turn on to disable X11 features
#   CMAKE_REQUIRED_FIND_PACKAGE_X11 - turn on to force use of X11 features

# backwards compatibility for CMAKE_REQUIRED_FIND_PACKAGE_*
if (CMAKE_REQUIRED_FIND_PACKAGE_X11)
    find_package(X11 REQUIRED COMPONENTS Xi Xext)
else()
    find_package(X11 COMPONENTS Xi Xext)
endif ()

add_library(external_modules INTERFACE)
target_link_libraries(external_modules INTERFACE
        PkgConfig::ExternalModules
        $<$<TARGET_EXISTS:Lua::lua>:Lua::lua>
        $<$<TARGET_EXISTS:PkgConfig::GtkSourceView>:PkgConfig::GtkSourceView>
        $<$<TARGET_EXISTS:X11::Xi>:X11::Xi>
        $<$<TARGET_EXISTS:X11::X11>:X11::X11>
        $<$<TARGET_EXISTS:Backtrace::backtrace>:Backtrace::backtrace>
        ZLIB::ZLIB
        Threads::Threads
        )

target_compile_definitions(external_modules INTERFACE
        GLIB_VERSION_MIN_REQUIRED=GLIB_VERSION_2_32
        GDK_VERSION_MIN_REQUIRED=GDK_VERSION_3_18
        $<$<TARGET_EXISTS:X11::X11>:X11_ENABLED>
        )
target_link_options(external_modules INTERFACE
        $<$<AND:$<NOT:$<PLATFORM_ID:Windows>>,$<OR:$<CXX_COMPILER_ID:Clang>,$<CXX_COMPILER_ID:GNU>>>:-rdynamic>
        )
add_library(xoj::external_modules ALIAS external_modules)

## Additional features ##

configure_file(
        src/config-features.h.in
        src/config-features.h
        ESCAPE_QUOTES @ONLY
)
configure_file(
        src/filesystem.h.in
        src/filesystem.h
)

## I18n ##
add_subdirectory(po)

## Configuration headers and development options ##

# Development options
option(DEV_CALL_LOG "Call log" OFF)
add_compile_definitions(G_LOG_DOMAIN="xopp")

# Debug options
option(DEBUG_INPUT "Input debugging, e.g. eraser events etc" OFF)
option(DEBUG_INPUT_PRINT_ALL_MOTION_EVENTS "Input debugging, print all motion events" OFF)
option(DEBUG_INPUT_GDK_PRINT_EVENTS "Input debugging, print all GDK events" OFF)
option(DEBUG_RECOGNIZER "Shape recognizer debug: output score etc" OFF)
option(DEBUG_SHEDULER "Scheduler debug: show jobs etc" OFF)
option(DEBUG_SHOW_ELEMENT_BOUNDS "Draw a surrounding border to all elements" OFF)
option(DEBUG_SHOW_REPAINT_BOUNDS "Draw a border around all repaint rects" OFF)
option(DEBUG_SHOW_PAINT_BOUNDS "Draw a border around all painted rects" OFF)
mark_as_advanced(FORCE
        DEBUG_INPUT DEBUG_RECOGNIZER DEBUG_SHEDULER DEBUG_SHOW_ELEMENT_BOUNDS DEBUG_SHOW_REPAINT_BOUNDS DEBUG_SHOW_PAINT_BOUNDS
        )

# Advanced development config
set(DEV_TOOLBAR_CONFIG "toolbar.ini" CACHE STRING "Toolbar config file name")
set(DEV_SETTINGS_XML_FILE "settings.xml" CACHE STRING "Settings file name")
set(DEV_PALETTE_FILE "palette.gpl" CACHE STRING "Color Palette")
set(DEV_PRINT_CONFIG_FILE "print-config.ini" CACHE STRING "Print config file name")
set(DEV_METADATA_FILE "metadata.ini" CACHE STRING "Metadata file name")
set(DEV_ERRORLOG_DIR "errorlogs" CACHE STRING "Directory where errorlogfiles will be placed")
set(DEV_FILE_FORMAT_VERSION 4 CACHE STRING "File format version" FORCE)

option(DEV_ENABLE_GCOV "Build with gcov support" OFF) # Enabel gcov support – expanded in src/
option(DEV_CHECK_GTK3_COMPAT "Adds a few compiler flags to check basic GTK3 upgradeability support (still compiles for GTK2!)")
if (DEV_CHECK_GTK3_COMPAT)
    add_definitions(-DGTK_DISABLE_SINGLE_INCLUDES -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DGSEAL_ENABLE)
endif ()

mark_as_advanced(FORCE
        DEV_TOOLBAR_CONFIG DEV_SETTINGS_XML_FILE DEV_PRINT_CONFIG_FILE DEV_METADATA_FILE
        DEV_ENABLE_GCOV DEV_CHECK_GTK3_COMPAT
        )

configure_file(
        src/config.h.in
        src/config.h
        ESCAPE_QUOTES @ONLY
)

configure_file(
        src/config-debug.h.in
        src/config-debug.h
        ESCAPE_QUOTES @ONLY
)

configure_file(
        src/config-dev.h.in
        src/config-dev.h
        ESCAPE_QUOTES @ONLY
)

configure_file(
        src/config-git.h.in
        src/config-git.h
        ESCAPE_QUOTES @ONLY
)

configure_file(
        src/config-paths.h.in
        src/config-paths.h
        ESCAPE_QUOTES @ONLY
)

option(xournalpp_LINT "enable lint (clang-tidy) target" OFF)
if (xournalpp_LINT)
    include(clang-tidy)
endif ()

## Source building ##
add_subdirectory(src)

## Tests ##
option (ENABLE_GTEST "Enable gtest build for xournalpp application" OFF)
if (ENABLE_GTEST)
  enable_testing()
  add_subdirectory (test ${CMAKE_BINARY_DIR}/test EXCLUDE_FROM_ALL)
endif (ENABLE_GTEST)

## Man page generation ##
add_subdirectory (man)

## Tests ##
# ./test is added via src to enable cleaner includes

## Final targets and installing ##

# Install resources
install(DIRECTORY ui
        DESTINATION "share/xournalpp"
        COMPONENT xournalpp
        )
install(DIRECTORY plugins
        DESTINATION "share/xournalpp"
        COMPONENT xournalpp
        )
install(DIRECTORY resources
        DESTINATION "share/xournalpp"
        COMPONENT xournalpp
        )

# Install desktop shortcuts for Linux
if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    message("Installing desktop files")

    # Install icons
    install(FILES ui/pixmaps/com.github.xournalpp.xournalpp.svg
            DESTINATION share/icons/hicolor/scalable/apps)
    install(FILES ui/pixmaps/application-x-xopp.svg
            DESTINATION share/icons/hicolor/scalable/mimetypes/)
    install(FILES ui/pixmaps/application-x-xopt.svg
            DESTINATION share/icons/hicolor/scalable/mimetypes/)
    install(FILES ui/pixmaps/application-x-xojpp.svg

=== debian/changelog ===
xournalpp (1.2.1-1) unstable; urgency=medium

  [ rolandlo ]
  * New upstream version:
    - Added a default toolbar so that the app does not start without toolbar on
      new installations
    - Fixed some crashes and various issues with the crash log handling
    - Added options to the command line and preferences to disable the audio
      system used for audio recording
    - The official release builds are now all built with gtksourceview styling
      for the LaTeX tool and in "RelWithDeb" mode. Thus failing asserts do not
      result in a crash anymore.

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 29 Aug 2023 10:04:33 +0100

=== debian/control ===
Source: xournalpp
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>
Section: x11
Priority: optional
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13), cmake,
	libcppunit-dev,
	help2man,
	libgtk-3-dev, libpoppler-glib-dev, libxml2-dev,
	portaudio19-dev, libsndfile1-dev | libsndfile-dev, liblua5.3-dev, libzip-dev, librsvg2-dev, libgtksourceview-4-dev
Rules-Requires-Root: no
Homepage: https://github.com/xournalpp/xournalpp/
Vcs-Git: https://salsa.debian.org/debian/xournalpp.git
Vcs-Browser: https://salsa.debian.org/debian/xournalpp

Package: xournalpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: texlive-base, texlive-latex-extra
Recommends: lua-lgi
Description: Xournal++ - Open source hand note-taking program
 Xournal++ is a hand note-taking software written in C++ with the target of
 flexibility, functionality and speed. Stroke recognizer and other parts are
 based on Xournal Code, which you can find at sourceforge.
 It supports Linux (e.g., Ubuntu, Debian, Arch, SUSE), macOS and Windows.
 Supports pen input from devices such as Wacom Tablets.
 .
 Xournal++ features:
 .
  - Supports pressure-sensitive styluses and digital pen tables (e.g., Wacom,
    Huion, XP Pen, etc. tablets)
  - Paper backgrounds for note-taking, scratch paper, or whiteboarding
  - Annotate on top of PDFs
  - Select text from the background PDF, copy, highlight or underline it or
    strike it through
  - Follow links from the background PDF
  - Export to a variety of formats including SVG, PNG and PDF, both from the GUI
    and command line
  - Different drawing tools (e.g., pen, highlighter) and stroke styles (e.g.,
    solid, dotted)
  - Shape drawing (line, arrow, circle, rectangle, spline)
  - Use the set-square and compass tools for measurements or as a guide for
    drawing straight lines, circular arcs and radii
  - Fill shape functionality
  - Shape resizing and rotation
  - Rotation and grid snapping for precise alignment of objects
  - Input stabilization for smoother writing/drawing
  - Text tool for adding text in different fonts, colors, and sizes
  - Enhanced support for image insertion
  - Eraser with multiple configurations
  - LaTeX support (requires a working LaTeX installation) with customizable
    template and a resizable editor with syntax highlighting
  - Sidebar containing page previews with advanced page sorting, PDF bookmarks
    and layers (can be individually hidden/edited)
  - Allows maping different tools/colors etc. to stylus/mouse buttons
  - Customizable toolbar with multiple configurations, e.g., to optimize toolbar
    for portrait/landscape
  - Custom color palette support using the .gpl format
  - Page template definitions
  - Bug reporting, autosave, and auto backup tools
  - Audio recording and playback alongside with handwritten notes
  - Multi language support (over 20 languages supported)
  - Plugins using Lua scripting

## xournalpp 1.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,10 +3,15 @@
 ## The CMAKE_OSX_DEPLOYMENT_TARGET must be set before project(), so don't move the following line further down.
 set(CMAKE_OSX_DEPLOYMENT_TARGET "10.15" CACHE STRING "Minimum OS X deployment version" FORCE)
 
+if(NOT CMAKE_BUILD_TYPE) 
+    # set default build type to RelWithDebInfo, we never supported multi config generators, therefore this is fine
+    set(CMAKE_BUILD_TYPE "RelWithDebInfo" CACHE STRING "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel." FORCE)
+endif()
+
 ## Project related Variables
 ## Also update changelog in debian folder!
 project(xournalpp
-        VERSION 1.2.1
+        VERSION 1.2.2
         DESCRIPTION "Xournal++ - Open source hand note-taking program"
         HOMEPAGE_URL "https://xournalpp.github.io/"
         LANGUAGES CXX C)
@@ -331,7 +336,3 @@
     install(FILES ui/pixmaps/com.github.xournalpp.xournalpp.svg
             DESTINATION share/icons/hicolor/scalable/apps)
     install(FILES ui/pixmaps/application-x-xopp.svg
-            DESTINATION share/icons/hicolor/scalable/mimetypes/)
-    install(FILES ui/pixmaps/application-x-xopt.svg
-            DESTINATION share/icons/hicolor/scalable/mimetypes/)
-    install(FILES ui/pixmaps/application-x-xojpp.svg

=== test/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)
cmake_policy(VERSION 3.12)

if(MACOSX)
    message(STATUS "MACOSX discoverd: Adding ${CMAKE_INSTALL_PREFIX}/lib as @rpath")
    # This is needed as gtest_discover_tests() results in the test executables
    # being called during make (right after linking).
    # If the @rpath is not set at that point this will fail with "dyld: Library not loaded"
    # or similar.
    # By default @rpath would only be set with make install.
    # Hence it needs to be set during build already.
    # In case this affects installs on MACOSX in a negative way 
    #
    #     set(CMAKE_BUILD_RPATH "${CMAKE_INSTALL_PREFIX}/lib")
    #
    # could also be used instead of the following lines.
    set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")
    set(CMAKE_BUILD_WITH_INSTALL_RPATH ON)
    # The default GDK pixbuf loaders locations may be using relative paths.
    # These paths are wrong when running tests, so override them.
    set (TEST_GDK_PIXBUF_LOADER_CACHE "${CMAKE_CURRENT_BINARY_DIR}/loaders.cache")
    set (TEST_ENV_VARS "${TEST_ENV_VARS}" GDK_PIXBUF_MODULE_FILE="${TEST_GDK_PIXBUF_LOADER_CACHE}")
    add_custom_target (test-create-gdk-pixbuf-loader-cache
      COMMAND "${PROJECT_SOURCE_DIR}/mac-setup/setup-gdk-pixbuf.sh" "${TEST_GDK_PIXBUF_LOADER_CACHE}"
      BYPRODUCTS "${TEST_GDK_PIXBUF_LOADER_CACHE}"
      COMMENT "Create gdk-pixbuf loader cache for testing")
    add_test(create-gdk-pixbuf-loader-cache
      "${CMAKE_COMMAND}" --build "${CMAKE_BINARY_DIR}" --target test-create-gdk-pixbuf-loader-cache)
endif()

# For Windows: Prevent overriding the parent project's compiler/linker settings
set(gtest_force_shared_crt ON CACHE BOOL "" FORCE)

# Prevent GoogleTest from being installed with xournalpp
# This is not strictly necessary as add_subdirectory is called on ./test with
# EXCLUDE_FROM_ALL, but better safe than sorry
option(INSTALL_GTEST "Enable installation of googletest." OFF)

# Explicit flag to enable gtest download
option(DOWNLOAD_GTEST "Force download of googletest." OFF)

if (${DOWNLOAD_GTEST})
  message(STATUS "Downloading gtest...")
  # Download and build GoogleTest
  include(FetchContent)
  FetchContent_Declare(
      googletest
      URL https://github.com/google/googletest/archive/refs/tags/release-1.11.0.zip
  )
  # Prevent reloading if already downloaed
  set(FETCHCONTENT_UPDATES_DISCONNECTED ON)
  FetchContent_MakeAvailable(googletest)
else ()
  # Use system GoogleTest
  find_package(GTest)
  if (NOT ${GTEST_FOUND})
    message(FATAL_ERROR
      "googletest not found. If you would like to download it automatically, add\n"
      "    -DDOWNLOAD_GTEST=on\n"
      "to the cmake command."
    )
  endif ()

  add_library(gtest_main ALIAS GTest::Main)
endif ()

# Load configure file including constants and helper Macros
configure_file (
    config-test.h.in
    config-test.h
    ESCAPE_QUOTES @ONLY
)

###############################################################################
# Define test-units
###############################################################################

# Get all unit test source files
file (GLOB_RECURSE test-units-sources
  unit_tests/*.cpp
)

# Define test-units target
add_executable (test-units EXCLUDE_FROM_ALL ${test-units-sources})
target_link_libraries (test-units xoj::core xoj::util std::filesystem gtest_main)
target_include_directories(test-units PRIVATE "${PROJECT_BINARY_DIR}/test")

###############################################################################
# Discover and Register Tests
###############################################################################
# MacOs needs a bit longer to find the tests on azure
# Hence, set the timeout to 30s (default 5s)
include(GoogleTest)
gtest_discover_tests(test-units
  DISCOVERY_TIMEOUT 30
  PROPERTIES
    ENVIRONMENT "${TEST_ENV_VARS}"
  $<$<NOT:$<STREQUAL:${TEST_GDK_PIXBUF_LOADER_CACHE},"">>:
    DEPENDS create-gdk-pixbuf-loader-cache>
)

=== src/util/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)
cmake_policy(VERSION 3.12)

# Util is pretty small so GLOB_RECURSE is sufficient
unset(util_SOURCES)
file(GLOB_RECURSE util_SOURCES *.cpp *.h)

add_library(util STATIC ${util_SOURCES})
add_dependencies(util std::filesystem)
target_link_libraries(util
        PUBLIC xoj::defaults xoj::external_modules std::filesystem cxx17
        )
target_compile_features(util PUBLIC ${PROJECT_CXX_FEATURES})
target_include_directories(util PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>)
add_library(xoj::util ALIAS util)

=== debian/changelog ===
xournalpp (1.2.2-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:38:20 +1100

xournalpp (1.2.2-2build2) noble; urgency=medium

  * No-change rebuild against .

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 22 Mar 2024 09:39:10 +1300

xournalpp (1.2.2-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 08:17:21 +0000

xournalpp (1.2.2-2) unstable; urgency=medium

  * Build-depend on lsb-release as the build system tries to call lsb_release

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 23 Oct 2023 10:42:52 +0100

xournalpp (1.2.2-1) unstable; urgency=medium

  [ Benjamin Hennion ]
  * New upstream version:
    - Fixed various memory leaks and segmentation faults
    - Fixed some issues with input sequences mixing up devices and buttons
    - Fixed LaTeX tool failing to open some PDF files
    - Fixed audio output device selection

  [ Barak A. Pearlmutter ]
  * Switch from liblua5.3 to liblua5.4

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 17 Oct 2023 12:19:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: xournalpp
-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>
 Section: x11
 Priority: optional
@@ -7,8 +8,9 @@
 Build-Depends: debhelper-compat (= 13), cmake,
 	libcppunit-dev,
 	help2man,
+	lsb-release,
 	libgtk-3-dev, libpoppler-glib-dev, libxml2-dev,
-	portaudio19-dev, libsndfile1-dev | libsndfile-dev, liblua5.3-dev, libzip-dev, librsvg2-dev, libgtksourceview-4-dev
+	portaudio19-dev, libsndfile1-dev | libsndfile-dev, liblua5.4-dev, libzip-dev, librsvg2-dev, libgtksourceview-4-dev
 Rules-Requires-Root: no
 Homepage: https://github.com/xournalpp/xournalpp/
 Vcs-Git: https://salsa.debian.org/debian/xournalpp.git
@@ -17,8 +19,8 @@
 Package: xournalpp
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: lua-lgi, dvipng
 Suggests: texlive-base, texlive-latex-extra
-Recommends: lua-lgi
 Description: Xournal++ - Open source hand note-taking program
  Xournal++ is a hand note-taking software written in C++ with the target of
  flexibility, functionality and speed. Stroke recognizer and other parts are

## xournalpp 1.2.3

=== debian/changelog ===
xournalpp (1.2.3-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Make Recommends explicit for MX packages.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 29 Sep 2024 08:00:58 -0700

xournalpp (1.2.3-1) unstable; urgency=medium

  [ Roland Lötscher ]
  * New Upstream Version
    - Fixed background color and truncated text in LaTeX tool
    - Fixed zoom jumping and zoom steps
    - Fixed various segfaults and rendering issues
    - Fixed pressure values and project URL when saving documents
    - Enabled font hint metrics in PDF export to improve text alignment

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 07 Mar 2024 09:18:23 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,24 @@
 Source: xournalpp
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>
 Section: x11
 Priority: optional
 Standards-Version: 4.6.2
-Build-Depends: debhelper-compat (= 13), cmake,
-	libcppunit-dev,
-	help2man,
-	lsb-release,
-	libgtk-3-dev, libpoppler-glib-dev, libxml2-dev,
-	portaudio19-dev, libsndfile1-dev | libsndfile-dev, liblua5.4-dev, libzip-dev, librsvg2-dev, libgtksourceview-4-dev
+Build-Depends: cmake,
+               debhelper-compat (= 13),
+               help2man,
+               libcppunit-dev,
+               libgtk-3-dev,
+               libgtksourceview-4-dev,
+               liblua5.4-dev,
+               libpoppler-glib-dev,
+               librsvg2-dev,
+               libsndfile1-dev | libsndfile-dev,
+               libxml2-dev,
+               libzip-dev,
+               lsb-release,
+               portaudio19-dev
 Rules-Requires-Root: no
 Homepage: https://github.com/xournalpp/xournalpp/
 Vcs-Git: https://salsa.debian.org/debian/xournalpp.git
@@ -18,8 +26,9 @@
 
 Package: xournalpp
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: lua-lgi, dvipng
+Depends: ${misc:Depends}, ${shlibs:Depends},
+         dvipng, lua-lgi
+# Recommends: dvipng, lua-lgi
 Suggests: texlive-base, texlive-latex-extra
 Description: Xournal++ - Open source hand note-taking program
  Xournal++ is a hand note-taking software written in C++ with the target of

## xournalpp 1.2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 ## The CMAKE_OSX_DEPLOYMENT_TARGET must be set before project(), so don't move the following line further down.
 set(CMAKE_OSX_DEPLOYMENT_TARGET "10.15" CACHE STRING "Minimum OS X deployment version" FORCE)
 
-if(NOT CMAKE_BUILD_TYPE) 
+if(NOT CMAKE_BUILD_TYPE)
     # set default build type to RelWithDebInfo, we never supported multi config generators, therefore this is fine
     set(CMAKE_BUILD_TYPE "RelWithDebInfo" CACHE STRING "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel." FORCE)
 endif()
@@ -11,7 +11,7 @@
 ## Project related Variables
 ## Also update changelog in debian folder!
 project(xournalpp
-        VERSION 1.2.2
+        VERSION 1.2.4
         DESCRIPTION "Xournal++ - Open source hand note-taking program"
         HOMEPAGE_URL "https://xournalpp.github.io/"
         LANGUAGES CXX C)
@@ -121,23 +121,6 @@
 
 pkg_check_modules(ExternalModules REQUIRED IMPORTED_TARGET ${pkg-module-spec})
 
-if (#[[${CMAKE_VERSION} VERSION_LESS "3.18" AND]] ${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
-    # bugfix for old pkg_config versions
-    get_target_property(libs PkgConfig::ExternalModules INTERFACE_LINK_LIBRARIES)
-    # message(STATUS "PkgConfig::ExternalModules::INTERFACE_LINK_LIBRARIES: ${libs}")
-    string(REPLACE "-framework;" "-framework " libs "${libs}")
-    # message(STATUS "PkgConfig::ExternalModules::INTERFACE_LINK_LIBRARIES fixed: ${libs}")
-    set_target_properties(PkgConfig::ExternalModules PROPERTIES INTERFACE_LINK_LIBRARIES "${libs}")
-
-
-    if (${CMAKE_VERSION} VERSION_GREATER_EQUAL "3.13")
-        # fix broken framework flags from pkgconfig
-        get_target_property(opts PkgConfig::ExternalModules INTERFACE_LINK_OPTIONS)
-        string(REPLACE "-framework;" "SHELL:-framework " opts "${opts}")
-        set_target_properties(PkgConfig::ExternalModules PROPERTIES INTERFACE_LINK_OPTIONS "${opts}")
-    endif ()
-endif ()
-
 find_package(ZLIB REQUIRED)
 find_package(Threads REQUIRED)
 
@@ -336,3 +319,18 @@
     install(FILES ui/pixmaps/com.github.xournalpp.xournalpp.svg
             DESTINATION share/icons/hicolor/scalable/apps)
     install(FILES ui/pixmaps/application-x-xopp.svg
+            DESTINATION share/icons/hicolor/scalable/mimetypes/)
+    install(FILES ui/pixmaps/application-x-xopt.svg
+            DESTINATION share/icons/hicolor/scalable/mimetypes/)
+    install(FILES ui/pixmaps/application-x-xojpp.svg
+            DESTINATION share/icons/hicolor/scalable/mimetypes/)
+    install(FILES ui/pixmaps/gnome-mime-application-x-xopp.svg
+            DESTINATION share/icons/hicolor/scalable/mimetypes/)
+    install(FILES ui/pixmaps/gnome-mime-application-x-xopt.svg
+            DESTINATION share/icons/hicolor/scalable/mimetypes/)
+    install(FILES desktop/com.github.xournalpp.xournalpp.xml
+            DESTINATION share/mime/packages)
+    install(FILES desktop/com.github.xournalpp.xournalpp.desktop
+            DESTINATION share/applications)
+    install(FILES desktop/com.github.xournalpp.xournalpp.thumbnailer
+            DESTINATION share/thumbnailers)

=== debian/changelog ===
xournalpp (1.2.4-1) unstable; urgency=medium

  [ Roland Lötscher ]
  * New Upstream Version
    - Fixed various dark/light theme inconsistencies
    - Improved edge panning for large selections
    - Fixed various crashes, freezes and memory leaks
    - MacOS: Added support for opening xopp-files from Finder
    - Added builds for Ubuntu 24.04 and MacOS ARM

  [ Barak A. Pearlmutter ]
  * Update standards version to 4.7.0, no changes needed.
  * Update debian/copyright, upstream files moved/deleted

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 30 Oct 2024 11:51:19 +0000

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,15 @@
 Source: xournalpp
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>
 Section: x11
 Priority: optional
-Standards-Version: 4.6.2
-Build-Depends: cmake,
-               debhelper-compat (= 13),
-               help2man,
-               libcppunit-dev,
-               libgtk-3-dev,
-               libgtksourceview-4-dev,
-               liblua5.4-dev,
-               libpoppler-glib-dev,
-               librsvg2-dev,
-               libsndfile1-dev | libsndfile-dev,
-               libxml2-dev,
-               libzip-dev,
-               lsb-release,
-               portaudio19-dev
+Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13), cmake,
+	libcppunit-dev,
+	help2man,
+	lsb-release,
+	libgtk-3-dev, libpoppler-glib-dev, libxml2-dev,
+	portaudio19-dev, libsndfile1-dev | libsndfile-dev, liblua5.4-dev, libzip-dev, librsvg2-dev, libgtksourceview-4-dev
 Rules-Requires-Root: no
 Homepage: https://github.com/xournalpp/xournalpp/
 Vcs-Git: https://salsa.debian.org/debian/xournalpp.git
@@ -26,9 +17,8 @@
 
 Package: xournalpp
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-         dvipng, lua-lgi
-# Recommends: dvipng, lua-lgi
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: lua-lgi, dvipng
 Suggests: texlive-base, texlive-latex-extra
 Description: Xournal++ - Open source hand note-taking program
  Xournal++ is a hand note-taking software written in C++ with the target of

## xournalpp 1.2.5

=== debian/changelog ===
xournalpp (1.2.5-1) unstable; urgency=medium

  [ Benjamin Hennion ]
  * New Upstream Version
    - Fixed regressions when exporting to PDF
    - Fixed crash when importing some SVG files
    - Have geometry tools appear in the middle of the view
    - Fixed issues with Windows installer
    - Fixed missing translations on Windows

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 09 Dec 2024 11:51:39 +0000

## xournalpp 1.2.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 ## Project related Variables
 ## Also update changelog in debian folder!
 project(xournalpp
-        VERSION 1.2.4
+        VERSION 1.2.6
         DESCRIPTION "Xournal++ - Open source hand note-taking program"
         HOMEPAGE_URL "https://xournalpp.github.io/"
         LANGUAGES CXX C)
@@ -52,6 +52,16 @@
 
 include(TargetArch)
 target_architecture(PACKAGE_ARCH)
+
+
+## I18n ##
+add_subdirectory(po)
+option (ONLY_CONFIGURE_FOR_TARGET_POT "Only configure the pot target" OFF)
+if (ONLY_CONFIGURE_FOR_TARGET_POT)
+    # We dont need anything else for just generating the .pot file.
+    # This avoids having to install all the dependencies in the CI runs updating the translation files
+    return()
+endif ()
 
 configure_file(cmake/VERSION.in VERSION)
 
@@ -103,6 +113,9 @@
 list(APPEND pkg-module-spec "glib-2.0 >= 2.32.0")
 list(APPEND pkg-module-spec "gtk+-3.0 >= 3.18.9")
 list(APPEND pkg-module-spec "poppler-glib >= 0.41.0")
+if (APPLE)
+  list(APPEND pkg-module-spec "poppler-cpp >= 0.41.0")
+endif (APPLE)
 list(APPEND pkg-module-spec "gthread-2.0 >= 2.4.0")
 list(APPEND pkg-module-spec "libxml-2.0 >= 2.0.0")
 list(APPEND pkg-module-spec "libzip >= 1.0.1")
@@ -202,9 +215,6 @@
         src/filesystem.h
 )
 
-## I18n ##
-add_subdirectory(po)
-
 ## Configuration headers and development options ##
 
 # Development options
@@ -328,9 +338,3 @@
             DESTINATION share/icons/hicolor/scalable/mimetypes/)
     install(FILES ui/pixmaps/gnome-mime-application-x-xopt.svg
             DESTINATION share/icons/hicolor/scalable/mimetypes/)
-    install(FILES desktop/com.github.xournalpp.xournalpp.xml
-            DESTINATION share/mime/packages)
-    install(FILES desktop/com.github.xournalpp.xournalpp.desktop
-            DESTINATION share/applications)
-    install(FILES desktop/com.github.xournalpp.xournalpp.thumbnailer
-            DESTINATION share/thumbnailers)

=== man/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)
cmake_policy(VERSION 3.12)

if (WIN32)
  # Windows does not support man pages and has no thumbnailer like this
  return ()
endif ()

find_program(HELP2MAN help2man DOC "Location of the help2man program")
mark_as_advanced(HELP2MAN)

if (HELP2MAN)
  set(MAN_INCLUDE "${PROJECT_SOURCE_DIR}/man/extra.groff")
  set(MAN_PAGE "${CMAKE_CURRENT_BINARY_DIR}/xournalpp.1")
  set(MAN_FILE "${CMAKE_CURRENT_BINARY_DIR}/xournalpp.1.gz")

  add_custom_command(
          OUTPUT ${MAN_FILE}
          COMMAND ${HELP2MAN} --no-info -i ${MAN_INCLUDE} -o ${MAN_PAGE} --version-string=${PROJECT_VERSION} --name="open-source hand note-taking program" ${CMAKE_BINARY_DIR}/xournalpp
          COMMAND gzip -n -f -9 ${MAN_PAGE}
          DEPENDS ${CMAKE_BINARY_DIR}/xournalpp
  )

  set(MAN_PAGE_THUMBNAILER "${CMAKE_CURRENT_BINARY_DIR}/xournalpp-thumbnailer.1")
  set(MAN_FILE_THUMBNAILER "${CMAKE_CURRENT_BINARY_DIR}/xournalpp-thumbnailer.1.gz")

  add_custom_command(
      OUTPUT ${MAN_FILE_THUMBNAILER}
      COMMAND ${HELP2MAN} --no-info  --no-discard-stderr -o ${MAN_PAGE_THUMBNAILER} --version-string=${PROJECT_VERSION} --name="creates thumbnails" ${CMAKE_BINARY_DIR}/src/xoj-preview-extractor/xournalpp-thumbnailer
      COMMAND gzip -n -f -9 ${MAN_PAGE_THUMBNAILER}
      DEPENDS ${CMAKE_BINARY_DIR}/src/xoj-preview-extractor/xournalpp-thumbnailer
  )

  add_custom_target(manpage ALL DEPENDS ${MAN_FILE} ${MAN_FILE_THUMBNAILER})
  install(FILES ${MAN_FILE} ${MAN_FILE_THUMBNAILER} DESTINATION "share/man/man1")
else(HELP2MAN)
  message("help2man is missing; no man pages will be generated")
endif(HELP2MAN)

=== test/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)
cmake_policy(VERSION 3.12)

# For Windows: Prevent overriding the parent project's compiler/linker settings
set(gtest_force_shared_crt ON CACHE BOOL "" FORCE)

# Prevent GoogleTest from being installed with xournalpp
# This is not strictly necessary as add_subdirectory is called on ./test with
# EXCLUDE_FROM_ALL, but better safe than sorry
option(INSTALL_GTEST "Enable installation of googletest." OFF)

# Explicit flag to enable gtest download
option(DOWNLOAD_GTEST "Force download of googletest." OFF)

if (${DOWNLOAD_GTEST})
  message(STATUS "Downloading gtest...")
  # Download and build GoogleTest
  include(FetchContent)
  FetchContent_Declare(
      googletest
      URL https://github.com/google/googletest/archive/refs/tags/release-1.11.0.zip
  )
  # Prevent reloading if already downloaed
  set(FETCHCONTENT_UPDATES_DISCONNECTED ON)
  FetchContent_MakeAvailable(googletest)
else ()
  # Use system GoogleTest
  find_package(GTest)
  if (NOT ${GTEST_FOUND})
    message(FATAL_ERROR
      "googletest not found. If you would like to download it automatically, add\n"
      "    -DDOWNLOAD_GTEST=on\n"
      "to the cmake command."
    )
  endif ()
endif ()

# Load configure file including constants and helper Macros
configure_file (
    config-test.h.in
    config-test.h
    ESCAPE_QUOTES @ONLY
)

###############################################################################
# Define test-units
###############################################################################

# Get all unit test source files
file (GLOB_RECURSE test-units-sources
  unit_tests/*.cpp
  main.cpp
)

# Define test-units target
add_executable (test-units EXCLUDE_FROM_ALL ${test-units-sources})
target_link_libraries (test-units xoj::core xoj::util std::filesystem gtest)
target_include_directories(test-units PRIVATE "${PROJECT_BINARY_DIR}/test")

###############################################################################
# Discover and Register Tests
###############################################################################
# MacOs needs a bit longer to find the tests on azure
# Hence, set the timeout to 30s (default 5s)
include(GoogleTest)
gtest_discover_tests(test-units
  DISCOVERY_TIMEOUT 30
  PROPERTIES
    ENVIRONMENT "${TEST_ENV_VARS}"
  $<$<NOT:$<STREQUAL:${TEST_GDK_PIXBUF_LOADER_CACHE},"">>:
    DEPENDS create-gdk-pixbuf-loader-cache>
)

=== debian/changelog ===
xournalpp (1.2.6-1) unstable; urgency=medium

  [ Roland Lötscher ]
  * New Upstream Version
    - Fixed compass outline drawing
    - Exposed selected text to the windowing system
    - Fixed loading of jpeg images and CJK and Cyrillic font rendering on MacOS

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 24 Feb 2025 15:19:28 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,9 @@
 	help2man,
 	lsb-release,
 	libgtk-3-dev, libpoppler-glib-dev, libxml2-dev,
-	portaudio19-dev, libsndfile1-dev | libsndfile-dev, liblua5.4-dev, libzip-dev, librsvg2-dev, libgtksourceview-4-dev
+	portaudio19-dev, libsndfile1-dev | libsndfile-dev,
+	liblua5.4-dev,
+	libzip-dev, librsvg2-dev, libgtksourceview-4-dev
 Rules-Requires-Root: no
 Homepage: https://github.com/xournalpp/xournalpp/
 Vcs-Git: https://salsa.debian.org/debian/xournalpp.git

## xournalpp 1.2.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 ## Project related Variables
 ## Also update changelog in debian folder!
 project(xournalpp
-        VERSION 1.2.6
+        VERSION 1.2.7
         DESCRIPTION "Xournal++ - Open source hand note-taking program"
         HOMEPAGE_URL "https://xournalpp.github.io/"
         LANGUAGES CXX C)

=== debian/changelog ===
xournalpp (1.2.7-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 27 May 2025 08:03:49 +0200

xournalpp (1.2.7-1) unstable; urgency=medium

  [ Benjamin Hennion ]
  * New Upstream Version
    - Improved error logs
    - Fixed some undefined behaviours and memory leaks
    - Fixed handling of linebreaks in latex tool
    - Linux: forward crash signals to system handler after emergency save
    - Fixed wrong glyph spacing in texts using small fonts
    - Fixed rasterization of Tex elements on PDF/SVG export or printing

  [ Barak A. Pearlmutter ]
  * Update standards version to 4.7.2, no changes needed.

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 11 May 2025 11:53:43 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Mike Gabriel <sunweaver@debian.org>
 Section: x11
 Priority: optional
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13), cmake,
 	libcppunit-dev,
 	help2man,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# Get __DATE__ and __TIME__ in sources to refer to debian/changelog ultimate timestamp
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -D ENABLE_CPPUNIT=ON

override_dh_auto_build:
	dh_auto_build -- translations all

execute_after_dh_auto_install:
	@echo "Upstream installs unnecessary file."
	-rm debian/xournalpp/usr/share/xournalpp/ui/README.md

override_dh_dwz:
	dh_dwz --no-dwz-multifile

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=RelWithDebInfo
